<script setup>
import AuthenticatedLayout from "@/Layouts/AuthenticatedLayout.vue";
import { Head } from "@inertiajs/vue3";

const props = defineProps({
    author: Object,
});
</script>

<template>
    <Head title="Show" />

    <AuthenticatedLayout>
        <template #header>
            <h2
                class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight"
            >
                Author Show
            </h2>
        </template>

        <div class="py-12">
            <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
                <div
                    class="bg-white dark:bg-gray-800 overflow-hidden shadow-sm sm:rounded-lg"
                >
                    <div class="p-6 text-gray-900 dark:text-gray-100">
                        ID: {{ author.id }}
                    </div>
                    <div class="p-6 text-gray-900 dark:text-gray-100">
                        Name: {{ author.name }}
                    </div>
                    <div class="p-6 text-gray-900 dark:text-gray-100">
                        Description: {{ author.biography }}
                    </div>
                </div>
            </div>
        </div>
    </AuthenticatedLayout>
</template>
